package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsInquiryOrderPing;
import com.fs.his.param.*;
import com.fs.his.vo.*;

/**
 * 评价Service接口
 *
 * @author fs
 * @date 2023-07-03
 */
public interface IFsInquiryOrderPingService
{
    /**
     * 查询评价
     *
     * @param pingId 评价主键
     * @return 评价
     */
    public FsInquiryOrderPing selectFsInquiryOrderPingByPingId(Long pingId);

    /**
     * 查询评价列表
     *
     * @param fsInquiryOrderPing 评价
     * @return 评价集合
     */
    public List<FsInquiryOrderPing> selectFsInquiryOrderPingList(FsInquiryOrderPing fsInquiryOrderPing);

    /**
     * 新增评价
     *
     * @param fsInquiryOrderPing 评价
     * @return 结果
     */
    public int insertFsInquiryOrderPing(FsInquiryOrderPing fsInquiryOrderPing);

    /**
     * 修改评价
     *
     * @param fsInquiryOrderPing 评价
     * @return 结果
     */
    public int updateFsInquiryOrderPing(FsInquiryOrderPing fsInquiryOrderPing);

    /**
     * 批量删除评价
     *
     * @param pingIds 需要删除的评价主键集合
     * @return 结果
     */
    public int deleteFsInquiryOrderPingByPingIds(Long[] pingIds);

    /**
     * 删除评价信息
     *
     * @param pingId 评价主键
     * @return 结果
     */
    public int deleteFsInquiryOrderPingByPingId(Long pingId);

    List<FsInquiryOrderPingListUVO> selectFsInquiryOrderPingListUVO(FsInquiryOrderPingListUParam param);

    List<FsDoctorPingUVO> selectFsDoctorPingListUVO(FsDoctorPingListUParam param);

    List<FsInquiryOrderPingListDVO> selectFsInquiryOrderPingListDVO(FsInquiryOrderPingListDParam param);

    List<FsInquiryOrderPingListVO> selectFsInquiryOrderPingListVO(FsInquiryOrderDoctorPingParam fsInquiryOrderPing);

    List<FsInquiryOrderPingExportListVO> selectFsInquiryOrderPingExportListVO(FsInquiryOrderDoctorPingParam fsInquiryOrderPing);
}
